Bug 737617 (CVE-2011-2732) - CVE-2011-2732 Spring Security: Header injection flaw due improper use of 'spring-security-redirect' parameter
Summary: CVE-2011-2732 Spring Security: Header injection flaw due improper use of 'spr...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2011-2732
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20110909,repor...
Depends On:
Blocks: 737623
TreeView+ depends on / blocked
 
Reported: 2011-09-12 18:00 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 08:45:36 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-09-12 18:00:59 UTC
A header injection flaw was found in the way the Spring Security tool processed the value of 'spring-security-redirect' parameter by user logout. A remote attacker could provide a specially-crafted URL, which once visited by a valid Spring Security tool user, could allow the attacker inject additional HTTP headers or split the response.

References:
[1] http://www.securityfocus.com/archive/1/519592/30/0/threaded
[2] http://www.springsource.com/security/cve-2011-2732

Comment 1 Jan Lieskovsky 2011-09-12 18:02:53 UTC
Sample PoC (from [1]):
=======================
<quote>
Example:
A logout link such as
/mywebapp/logout/spring-security-redirect=%0d%0a%20NewHeader%3ainjectedV
alue
could be used to inject the header
NewHeader:InjectedValue
to the response
</quote>

Comment 2 David Jorm 2011-09-15 08:45:36 UTC
Statement:

Not vulnerable. This issue affects the Spring Security package, which is not shipped with any Red Hat products.


Note You need to log in before you can comment on or make changes to this bug.